Package org.oasis_open.docs.ws_calendar.ns.soap

# Class PropFilterType

java.lang.Object
org.oasis_open.docs.ws_calendar.ns.soap.PropFilterType

public class PropFilterType extends Object
The propFilter XML element specifies a query targeted at a specific calendar property (e.g., CATEGORIES) in the scope of the enclosing calendar component. A calendar property is said to match a propFilter if: * The propFilter XML element is empty and a property of the type specified by the "name" attribute exists in the enclosing calendar component; or: * The propFilter XML element contains a is-not-defined XML element and no property of the type specified by the "name" attribute exists in the enclosing calendar component; or: * The propFilter XML element contains a timeRange XML element and the property value overlaps the specified time range, and all specified paramFilter child XML elements also match the targeted property; or: * The propFilter XML element contains a textMatch XML element and the property value matches it, and all specified paramFilter child XML elements also match the targeted property;

Java class for PropFilterType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PropFilterType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{urn:ietf:params:xml:ns:icalendar-2.0}baseProperty"/>
             <choice minOccurs="0">
               <element ref="{http://docs.oasis-open.org/ws-calendar/ns/soap}is-not-defined"/>
               <sequence>
                 <choice>
                   <element ref="{http://docs.oasis-open.org/ws-calendar/ns/soap}timeRange"/>
                   <element ref="{http://docs.oasis-open.org/ws-calendar/ns/soap}textMatch"/>
                 </choice>
                 <element ref="{http://docs.oasis-open.org/ws-calendar/ns/soap}paramFilter" maxOccurs="unbounded" minOccurs="0"/>
               </sequence>
             </choice>
           </sequence>
           <attribute name="test" type="{http://docs.oasis-open.org/ws-calendar/ns/soap}AnyofAllofType" default="anyof" />
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected javax.xml.bind.JAXBElement<? extends BasePropertyType>`
  `baseProperty`
  `protected IsNotDefinedType`
  `isNotDefined`
  `protected List<ParamFilterType>`
  `paramFilter`
  `protected String`
  `test`
  `protected TextMatchType`
  `textMatch`
  `protected UTCTimeRangeType`
  `timeRange`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PropFilterType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `javax.xml.bind.JAXBElement<? extends BasePropertyType>`
  `getBaseProperty()`
  Gets the value of the baseProperty property.
  `IsNotDefinedType`
  `getIsNotDefined()`
  Gets the value of the isNotDefined property.
  `List<ParamFilterType>`
  `getParamFilter()`
  Gets the value of the paramFilter property.
  `String`
  `getTest()`
  Gets the value of the test property.
  `TextMatchType`
  `getTextMatch()`
  Gets the value of the textMatch property.
  `UTCTimeRangeType`
  `getTimeRange()`
  Gets the value of the timeRange property.
  `void`
  `setBaseProperty(javax.xml.bind.JAXBElement<? extends BasePropertyType> value)`
  Sets the value of the baseProperty property.
  `void`
  `setIsNotDefined(IsNotDefinedType value)`
  Sets the value of the isNotDefined property.
  `void`
  `setTest(String value)`
  Sets the value of the test property.
  `void`
  `setTextMatch(TextMatchType value)`
  Sets the value of the textMatch property.
  `void`
  `setTimeRange(UTCTimeRangeType value)`
  Sets the value of the timeRange property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### baseProperty

    protected javax.xml.bind.JAXBElement<? extends BasePropertyType> baseProperty

  - ### isNotDefined

    protected IsNotDefinedType isNotDefined

  - ### timeRange

    protected UTCTimeRangeType timeRange

  - ### textMatch

    protected TextMatchType textMatch

  - ### paramFilter

    protected List<ParamFilterType> paramFilter

  - ### test

    protected String test

- ## Constructor Details

  - ### PropFilterType

    public PropFilterType()

- ## Method Details

  - ### getBaseProperty

    public javax.xml.bind.JAXBElement<? extends BasePropertyType> getBaseProperty()
    Gets the value of the baseProperty property.
    Returns:
      possible object is `JAXBElement``<``AcceptResponsePropType``>` `JAXBElement``<``ActionPropType``>` `JAXBElement``<``AttachPropType``>` `JAXBElement``<``AttendeePropType``>` `JAXBElement``<``BasePropertyType``>` `JAXBElement``<``CalscalePropType``>` `JAXBElement``<``CategoriesPropType``>` `JAXBElement``<``ClassPropType``>` `JAXBElement``<``CommentPropType``>` `JAXBElement``<``CompletedPropType``>` `JAXBElement``<``ContactPropType``>` `JAXBElement``<``CreatedPropType``>` `JAXBElement``<``DescriptionPropType``>` `JAXBElement``<``DtendPropType``>` `JAXBElement``<``DtstampPropType``>` `JAXBElement``<``DtstartPropType``>` `JAXBElement``<``DuePropType``>` `JAXBElement``<``DurationPropType``>` `JAXBElement``<``DurationPropType``>` `JAXBElement``<``ExdatePropType``>` `JAXBElement``<``ExrulePropType``>` `JAXBElement``<``FreebusyPropType``>` `JAXBElement``<``GeoPropType``>` `JAXBElement``<``LastModifiedPropType``>` `JAXBElement``<``LinkPropType``>` `JAXBElement``<``LocationPropType``>` `JAXBElement``<``MethodPropType``>` `JAXBElement``<``OrganizerPropType``>` `JAXBElement``<``OrganizerPropType``>` `JAXBElement``<``PercentCompletePropType``>` `JAXBElement``<``PollItemIdPropType``>` `JAXBElement``<``PollModePropType``>` `JAXBElement``<``PollPropertiesPropType``>` `JAXBElement``<``PriorityPropType``>` `JAXBElement``<``ProdidPropType``>` `JAXBElement``<``RdatePropType``>` `JAXBElement``<``RecurrenceIdPropType``>` `JAXBElement``<``RelatedToPropType``>` `JAXBElement``<``RepeatPropType``>` `JAXBElement``<``RequestStatusPropType``>` `JAXBElement``<``ResourcesPropType``>` `JAXBElement``<``RrulePropType``>` `JAXBElement``<``SequencePropType``>` `JAXBElement``<``StatusPropType``>` `JAXBElement``<``SummaryPropType``>` `JAXBElement``<``TolerancePropType``>` `JAXBElement``<``TranspPropType``>` `JAXBElement``<``TriggerPropType``>` `JAXBElement``<``TzidPropType``>` `JAXBElement``<``TznamePropType``>` `JAXBElement``<``TzoffsetfromPropType``>` `JAXBElement``<``TzoffsettoPropType``>` `JAXBElement``<``TzurlPropType``>` `JAXBElement``<``UidPropType``>` `JAXBElement``<``UrlPropType``>` `JAXBElement``<``VersionPropType``>` `JAXBElement``<``VoterPropType``>` `JAXBElement``<``WsCalendarAttachType``>` `JAXBElement``<``WsCalendarTypeType``>` `JAXBElement``<``XBedeworkCostPropType``>` `JAXBElement``<``XBedeworkExsynchEndtzidPropType``>` `JAXBElement``<``XBedeworkExsynchLastmodPropType``>` `JAXBElement``<``XBedeworkExsynchStarttzidPropType``>` `JAXBElement``<``XBedeworkInstanceOnlyPropType``>` `JAXBElement``<``XBedeworkMaxTicketsPerUserPropType``>` `JAXBElement``<``XBedeworkMaxTicketsPropType``>` `JAXBElement``<``XBedeworkRegistrationEndPropType``>` `JAXBElement``<``XBedeworkRegistrationStartPropType``>` `JAXBElement``<``XBedeworkWaitListLimitPropType``>` `JAXBElement``<``XBedeworkWrapperPropType``>` `JAXBElement``<``XBwCategoriesPropType``>` `JAXBElement``<``XBwContactPropType``>` `JAXBElement``<``XBwLocationPropType``>` `JAXBElement``<``XMicrosoftCdoBusystatusPropType``>` `JAXBElement``<``XMicrosoftCdoIntendedstatusPropType``>`

  - ### setBaseProperty

    public void setBaseProperty(javax.xml.bind.JAXBElement<? extends BasePropertyType> value)
    Sets the value of the baseProperty property.
    Parameters:
      `value` - allowed object is `JAXBElement``<``AcceptResponsePropType``>` `JAXBElement``<``ActionPropType``>` `JAXBElement``<``AttachPropType``>` `JAXBElement``<``AttendeePropType``>` `JAXBElement``<``BasePropertyType``>` `JAXBElement``<``CalscalePropType``>` `JAXBElement``<``CategoriesPropType``>` `JAXBElement``<``ClassPropType``>` `JAXBElement``<``CommentPropType``>` `JAXBElement``<``CompletedPropType``>` `JAXBElement``<``ContactPropType``>` `JAXBElement``<``CreatedPropType``>` `JAXBElement``<``DescriptionPropType``>` `JAXBElement``<``DtendPropType``>` `JAXBElement``<``DtstampPropType``>` `JAXBElement``<``DtstartPropType``>` `JAXBElement``<``DuePropType``>` `JAXBElement``<``DurationPropType``>` `JAXBElement``<``DurationPropType``>` `JAXBElement``<``ExdatePropType``>` `JAXBElement``<``ExrulePropType``>` `JAXBElement``<``FreebusyPropType``>` `JAXBElement``<``GeoPropType``>` `JAXBElement``<``LastModifiedPropType``>` `JAXBElement``<``LinkPropType``>` `JAXBElement``<``LocationPropType``>` `JAXBElement``<``MethodPropType``>` `JAXBElement``<``OrganizerPropType``>` `JAXBElement``<``OrganizerPropType``>` `JAXBElement``<``PercentCompletePropType``>` `JAXBElement``<``PollItemIdPropType``>` `JAXBElement``<``PollModePropType``>` `JAXBElement``<``PollPropertiesPropType``>` `JAXBElement``<``PriorityPropType``>` `JAXBElement``<``ProdidPropType``>` `JAXBElement``<``RdatePropType``>` `JAXBElement``<``RecurrenceIdPropType``>` `JAXBElement``<``RelatedToPropType``>` `JAXBElement``<``RepeatPropType``>` `JAXBElement``<``RequestStatusPropType``>` `JAXBElement``<``ResourcesPropType``>` `JAXBElement``<``RrulePropType``>` `JAXBElement``<``SequencePropType``>` `JAXBElement``<``StatusPropType``>` `JAXBElement``<``SummaryPropType``>` `JAXBElement``<``TolerancePropType``>` `JAXBElement``<``TranspPropType``>` `JAXBElement``<``TriggerPropType``>` `JAXBElement``<``TzidPropType``>` `JAXBElement``<``TznamePropType``>` `JAXBElement``<``TzoffsetfromPropType``>` `JAXBElement``<``TzoffsettoPropType``>` `JAXBElement``<``TzurlPropType``>` `JAXBElement``<``UidPropType``>` `JAXBElement``<``UrlPropType``>` `JAXBElement``<``VersionPropType``>` `JAXBElement``<``VoterPropType``>` `JAXBElement``<``WsCalendarAttachType``>` `JAXBElement``<``WsCalendarTypeType``>` `JAXBElement``<``XBedeworkCostPropType``>` `JAXBElement``<``XBedeworkExsynchEndtzidPropType``>` `JAXBElement``<``XBedeworkExsynchLastmodPropType``>` `JAXBElement``<``XBedeworkExsynchStarttzidPropType``>` `JAXBElement``<``XBedeworkInstanceOnlyPropType``>` `JAXBElement``<``XBedeworkMaxTicketsPerUserPropType``>` `JAXBElement``<``XBedeworkMaxTicketsPropType``>` `JAXBElement``<``XBedeworkRegistrationEndPropType``>` `JAXBElement``<``XBedeworkRegistrationStartPropType``>` `JAXBElement``<``XBedeworkWaitListLimitPropType``>` `JAXBElement``<``XBedeworkWrapperPropType``>` `JAXBElement``<``XBwCategoriesPropType``>` `JAXBElement``<``XBwContactPropType``>` `JAXBElement``<``XBwLocationPropType``>` `JAXBElement``<``XMicrosoftCdoBusystatusPropType``>` `JAXBElement``<``XMicrosoftCdoIntendedstatusPropType``>`

  - ### getIsNotDefined

    public IsNotDefinedType getIsNotDefined()
    Gets the value of the isNotDefined property.
    Returns:
      possible object is `IsNotDefinedType`

  - ### setIsNotDefined

    public void setIsNotDefined(IsNotDefinedType value)
    Sets the value of the isNotDefined property.
    Parameters:
      `value` - allowed object is `IsNotDefinedType`

  - ### getTimeRange

    public UTCTimeRangeType getTimeRange()
    Gets the value of the timeRange property.
    Returns:
      possible object is `UTCTimeRangeType`

  - ### setTimeRange

    public void setTimeRange(UTCTimeRangeType value)
    Sets the value of the timeRange property.
    Parameters:
      `value` - allowed object is `UTCTimeRangeType`

  - ### getTextMatch

    public TextMatchType getTextMatch()
    Gets the value of the textMatch property.
    Returns:
      possible object is `TextMatchType`

  - ### setTextMatch

    public void setTextMatch(TextMatchType value)
    Sets the value of the textMatch property.
    Parameters:
      `value` - allowed object is `TextMatchType`

  - ### getParamFilter

    public List<ParamFilterType> getParamFilter()
    Gets the value of the paramFilter property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the paramFilter property.

    For example, to add a new item, do as follows:

            getParamFilter().add(newItem);

    Objects of the following type(s) are allowed in the list `ParamFilterType`

  - ### getTest

    public String getTest()
    Gets the value of the test property.
    Returns:
      possible object is `String`

  - ### setTest

    public void setTest(String value)
    Sets the value of the test property.
    Parameters:
      `value` - allowed object is `String`